package com.fjhx.common.entity.documentary.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 跟单记录
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
@TableName("documentary_record")
public class DocumentaryRecord extends BasePo {

    /**
     * 跟单id
     */
    private Long documentaryId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 完成时间
     */
    private Date completionTime;

    /**
     * 备注
     */
    private String remark;

}
